GHSA-vvfj-p4jf-j8rm

Suggest an improvement
Source
https://github.com/advisories/GHSA-vvfj-p4jf-j8rm
Import Source
https://github.com/github/advisory-database/blob/main/advisories/github-reviewed/2022/05/GHSA-vvfj-p4jf-j8rm/GHSA-vvfj-p4jf-j8rm.json
JSON Data
https://api.osv.dev/v1/vulns/GHSA-vvfj-p4jf-j8rm
Aliases
Published
2022-05-24T16:44:55Z
Modified
2024-02-16T08:18:22.972089Z
Severity
  • 6.5 (Medium) CVSS_V3 - CVSS:3.1/AV:N/AC:L/PR:L/UI:N/S:U/C:N/I:H/A:N CVSS Calculator
Summary
Missing permission check in Jenkins Static Analysis Utilities Plugin
Details

A missing permission check in Jenkins Static Analysis Utilities Plugin 1.95 and earlier in the DefaultGraphConfigurationView#doSave form handler method allowed attackers with Overall/Read permission to change the per-job default graph configuration for all users.

References

Affected packages

Maven / org.jvnet.hudson.plugins:analysis-core

Package

Name
org.jvnet.hudson.plugins:analysis-core
View open source insights on deps.dev
Purl
pkg:maven/org.jvnet.hudson.plugins/analysis-core

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
1.96

Affected versions

1.*

1.0
1.1
1.3
1.4
1.5
1.6
1.7
1.8
1.9
1.10
1.11
1.12
1.13
1.14
1.15
1.16
1.17
1.18
1.19
1.20
1.21
1.22
1.23
1.24
1.25
1.26
1.27
1.28
1.29
1.30
1.31
1.32
1.33
1.34
1.35
1.36
1.37
1.38
1.39
1.40
1.41
1.42
1.43
1.44
1.45
1.46
1.47
1.48
1.49
1.50
1.51
1.52
1.53
1.54
1.55
1.56
1.57
1.58
1.59
1.60
1.61
1.62
1.64
1.65
1.66
1.67
1.69
1.70
1.71
1.72
1.73
1.74
1.75
1.76
1.77
1.78
1.79
1.80
1.81
1.82
1.83
1.84
1.85
1.86
1.87
1.88
1.89
1.90
1.91
1.92
1.93
1.94
1.95

Database specific

{
    "last_known_affected_version_range": "<= 1.95"
}